<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/pl1_io_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  pl1_io_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>The pl1_io_ subroutine is a collection of utility functions for
<span id="L4" class="LineNr"> 4 </span>extracting information about PL/I files that is not available within
<span id="L5" class="LineNr"> 5 </span>the language itself.
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>Entry points in pl1_io_:
<span id="L9" class="LineNr"> 9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>:Entry:  error_code:  02/06/84 pl1_io_$error_code
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Function: returns the last nonzero status code encountered by PL/I I/O
<span id="L16" class="LineNr">16 </span>while performing file operations.  This is a standard Multics status
<span id="L17" class="LineNr">17 </span>code and describes the most recent error more specifically than the
<span id="L18" class="LineNr">18 </span>PL/I condition which is raised after an error.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Syntax:
<span id="L22" class="LineNr">22 </span>declare pl1_io_$error_code entry <span class="textRainbow_lv0_p0">(</span>file<span class="textRainbow_lv0_p0">)</span> returns <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>code = pl1_io_$error_code <span class="textRainbow_lv0_p0">(</span>file_variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Arguments:
<span id="L27" class="LineNr">27 </span>file_variable
<span id="L28" class="LineNr">28 </span>   is a PL/I file value.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>code
<span id="L30" class="LineNr">30 </span>   is the last nonzero status code associated with the file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>Notes:  The specific values returned by this function are subject to
<span id="L34" class="LineNr">34 </span>change.  See &quot;Handling Unusual Occurrences&quot; in the Programmer's
<span id="L35" class="LineNr">35 </span>Reference Manual.
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>:Entry:  get_iocb_ptr:  02/06/84 pl1_io_$get_iocb_ptr
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>Function: returns the I/O control block pointer for the Multics I/O
<span id="L42" class="LineNr">42 </span>System switch associated with an open PL/I file.  This pointer may be
<span id="L43" class="LineNr">43 </span>used to perform control and modes operations upon the switch
<span id="L44" class="LineNr">44 </span>associated with that file.
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>Syntax:
<span id="L48" class="LineNr">48 </span>declare pl1_io_$get_iocb_ptr entry <span class="textRainbow_lv0_p0">(</span>file<span class="textRainbow_lv0_p0">)</span> returns <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L49" class="LineNr">49 </span>iocb_ptr = pl1_io_$get_iocb_ptr <span class="textRainbow_lv0_p0">(</span>file_variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L50" class="LineNr">50 </span>
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>Arguments:
<span id="L53" class="LineNr">53 </span>file_variable
<span id="L54" class="LineNr">54 </span>   is a PL/I file value.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L55" class="LineNr">55 </span>iocb_ptr
<span id="L56" class="LineNr">56 </span>   is a pointer to the I/O control block for the file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>
<span id="L59" class="LineNr">59 </span>Notes:  Performing explicit operations via the Multics I/O System upon
<span id="L60" class="LineNr">60 </span>switches in use by PL/I I/O is potentially dangerous unless care is
<span id="L61" class="LineNr">61 </span>taken that certain conventions are observed.  No calls should be made
<span id="L62" class="LineNr">62 </span>that affect the data in the PL/I data set being accessed, the
<span id="L63" class="LineNr">63 </span>positioning of the data set, or the status or interpretation of any I/O
<span id="L64" class="LineNr">64 </span>operations that may be in progress.  In general, this limits such calls
<span id="L65" class="LineNr">65 </span>to those which obtain status information.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
